Index: code/trunk/src/libraries/core/XMLPort.h
===================================================================
--- code/trunk/src/libraries/core/XMLPort.h	(revision 9667)
+++ code/trunk/src/libraries/core/XMLPort.h	(revision 11071)
@@ -245,5 +245,5 @@
             return my_added_objects[index];
           else
-            return 0;
+            return nullptr;
         }
       @endcode
@@ -324,15 +324,15 @@
     {
     public:
-        enum ParseResult
+        enum class ParseResult
         {
-            PR_not_started,
-            PR_finished,
-            PR_waiting_for_default_values
+            not_started,
+            finished,
+            waiting_for_default_values
         };
 
         public:
             XMLPortParamContainer()
-                { this->parseResult_ = PR_not_started; }
-            virtual ~XMLPortParamContainer() {}
+                { this->parseResult_ = ParseResult::not_started; }
+            virtual ~XMLPortParamContainer() = default;
 
             inline const std::string& getName() const
@@ -378,8 +378,4 @@
             }
 
-            ~XMLPortClassParamContainer()
-            {
-            }
-
             XMLPortParamContainer& port(BaseObject* owner, T* object, Element& xmlelement, XMLPort::Mode mode)
             {
@@ -399,5 +395,5 @@
                             // Iterate through the attributes manually in order to make them case insensitive
                             ticpp::Attribute* attribute = xmlelement.FirstAttribute(false);
-                            while (attribute != 0)
+                            while (attribute != nullptr)
                             {
                                 this->owner_->xmlAttributes_[getLowercase(attribute->Name())] = attribute->Value();
@@ -419,12 +415,12 @@
                             this->loadexecutor_->parse(object, attributeValue, &error, ",");
                             if (!error || (mode  == XMLPort::ExpandObject))
-                                this->parseResult_ = PR_finished;
+                                this->parseResult_ = ParseResult::finished;
                             else
-                                this->parseResult_ = PR_waiting_for_default_values;
+                                this->parseResult_ = ParseResult::waiting_for_default_values;
                         }
                         else if (mode == XMLPort::ExpandObject)
-                            this->parseResult_ = PR_finished;
+                            this->parseResult_ = ParseResult::finished;
                         else
-                            this->parseResult_ = PR_waiting_for_default_values;
+                            this->parseResult_ = ParseResult::waiting_for_default_values;
                     }
                     catch (ticpp::Exception& ex)
@@ -453,5 +449,5 @@
             XMLPortParamContainer& portIfWaitingForDefaultValues(const ParseResult& result, const ParseParams& params)
             {
-                if (result == PR_waiting_for_default_values)
+                if (result == ParseResult::waiting_for_default_values)
                     return this->port(this->owner_, params);
                 else
@@ -459,5 +455,5 @@
             }
 
-            virtual XMLPortParamContainer& defaultValue(unsigned int index, const MultiType& param)
+            virtual XMLPortParamContainer& defaultValue(unsigned int index, const MultiType& param) override
             {
                 if (!this->loadexecutor_->defaultValueSet(index))
@@ -465,5 +461,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1) override
             {
                 if (!this->loadexecutor_->defaultValueSet(0))
@@ -471,5 +467,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)))
@@ -477,5 +473,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)))
@@ -483,5 +479,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)) || (!this->loadexecutor_->defaultValueSet(3)))
@@ -489,5 +485,5 @@
                 return this->portIfWaitingForDefaultValues(this->parseResult_, this->parseParams_);
             }
-            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4, const MultiType& param5)
+            virtual XMLPortParamContainer& defaultValues(const MultiType& param1, const MultiType& param2, const MultiType& param3, const MultiType& param4, const MultiType& param5) override
             {
                 if ((!this->loadexecutor_->defaultValueSet(0)) || (!this->loadexecutor_->defaultValueSet(1)) || (!this->loadexecutor_->defaultValueSet(2)) || (!this->loadexecutor_->defaultValueSet(3)) || (!this->loadexecutor_->defaultValueSet(4)))
@@ -511,5 +507,5 @@
             XMLPortObjectContainer()
                 { this->bApplyLoaderMask_ = false; }
-            virtual ~XMLPortObjectContainer() {}
+            virtual ~XMLPortObjectContainer() = default;
 
             XMLPortObjectContainer& port(BaseObject* object, Element& xmlelement, XMLPort::Mode mode);
@@ -552,9 +548,5 @@
             }
 
-            ~XMLPortClassObjectContainer()
-            {
-            }
-
-            void callLoadExecutor(BaseObject* object, BaseObject* newObject)
+            virtual void callLoadExecutor(BaseObject* object, BaseObject* newObject) override
             {
                 T* castObject = orxonox_cast<T*>(object);
